<section class="container-fluid animated fadeIn">
  <div class="row wall wall-sm mb">
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/blogs/add" [queryParams]="query.params()">{{ 'blog.create.title' | translate }}</button>
    </div>
    <div class="col-md-auto">
      <div class="col-lg-12">
        <select-input inputid="new-category" [defaults]="defaultCategory" [list]="category" itemkey="name"
          itemvalue="id" [multi]='false' (changed)="setCategory($event)" #blogSelectInput placeholder="{{ 'blog.create.category' | translate }}"></select-input>
      </div>
    </div>
    <div class="col-md col-sm-hidden"></div>
    <div class="col-md-auto">
      <input class="search-input small text-center" type="text" [ngModel]="filters.search"
        (keyup)="search.pass($event, 'blog')" placeholder="{{ 'search' | translate }}">
    </div>
  </div>
  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th>#</th>
              <th>
                {{ 'banner.create.b-title' | translate }}
              </th>
              <th>{{ 'banner.create.description' | translate }}</th>
              <th>
                {{ 'key' | translate }}
              </th>
              <th>
                {{ 'actors.list.create-date' | translate }}
              </th>
              <th>
                {{ 'upload.create.release' | translate }}
              </th>
              <th class="text-center">{{ 'operation.actions' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let res of blogs;index as index">
                <td>{{ index + 1 }}</td>
                <td *ngIf="res.title != ''">{{ res.title }}</td>
                <td *ngIf="res.title == ''"> _ </td>
                <td>
                  {{res.content|excerpt}}
                </td>
                <td>
                  {{res.key}}
                </td>
                <td>
                  {{res.created_at|jalali}}
                </td>
                <td>
                  <div class="form-check text-center">
                    <label class="form-check-label" for="publish{{res.id}}">
                      <input class="form-check-input" id="publish{{res.id}}" [checked]="res.release" type="checkbox" (change)="publishBlog(res.id)">
                      <span class="form-check-sign">
                        <span class="check"></span>
                      </span>
                    </label>
                  </div>
                </td>
                <td class="text-center">
                  <div class="fa fa-edit tools edit px-2" [routerLink]="['/panel/blogs/edit', res.id]" [queryParams]="query.params()" title="{{'upload.list.edit' | translate}}"></div>
                  <div class="fa fa-trash tools delete" (click)="deleteBlog(res.id)"></div>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="blogs.length">
                <td colspan="7" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getBlog($event)"></pagination>
    </div>
  </div>
</section>